Update Ai Assistant Broadcom Account Config

Update Ai Assistant Broadcom Account Config
Update Broadcom account configuration

Update Broadcom managed account configuration for AI Assistant. Shared by AI Assistants for Firewall, Avi and Threat-Defense. It is not needed if customer account is configured.

Request
URI
PUT
https://{api_host}/ai-assistants/broadcom-account-config
COPY
Request Body

Broadcom account configuration

AIAssistantsBroadcomAccountConfig of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineAIAssistantsBroadcomAccountConfig1
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "llm_provider": "GCP",
    "llm_region": "us-east1",
    "active_llm_provider": "GCP",
    "active_llm_region": "us-east1",
    "quotas": {
        "daily_token_quota": 1000000,
        "current_daily_token_usage": 250000,
        "ai_assistant_threat_defense_freemium_quota": {
            "quota": 50000,
            "current_usage": 10000
        },
        "last_updated": 1734567890000
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

Update operation completed successfully.

Returns AIAssistantsBroadcomAccountConfig of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineAIAssistantsBroadcomAccountConfig1
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "llm_provider": "GCP",
    "llm_region": "us-east1",
    "active_llm_provider": "GCP",
    "active_llm_region": "us-east1",
    "quotas": {
        "daily_token_quota": 1000000,
        "current_daily_token_usage": 250000,
        "ai_assistant_threat_defense_freemium_quota": {
            "quota": 50000,
            "current_usage": 10000
        },
        "last_updated": 1734567890000
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Update operation encountered error.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"llm_region":"string"}' https://{api_host}/ai-assistants/broadcom-account-config